
/**************************************************************************
                          ISERVER Debug driver
***************************************************************************
 Revision History:

   1.00.00		1-Sept-2000			Kev
	(1)	First written.
***************************************************************************/

#include	<stdio.h>
#include	<stdlib.h>
#include	<string.h>
#include	<stdarg.h>
#include	<ctype.h>

#include	"iserver.h"
#include	"debug.h"

#define	MAX_STRING_SIZE	512

BOOL debug_davee_lux = FALSE;
BOOL info_davee_lux = FALSE;

/**************************************************************************
***************************************************************************/

void SetDebugMode ( BOOL value)
{
  debug_davee_lux = value;
}

/**************************************************************************
***************************************************************************/

BOOL GetDebugMode ( void )
{
  return (debug_davee_lux);
}

/**************************************************************************
***************************************************************************/

void SetInfoMode ( BOOL value )
{
  info_davee_lux = value;
}

/**************************************************************************
***************************************************************************/

BOOL GetInfoMode ( void )
{
  return (info_davee_lux);
}


/**************************************************************************
***************************************************************************/

char *	DebugMessage( char * control_string, ... )
{
	        int		i;
	    va_list		vaptr;
	static char		temp_string[MAX_STRING_SIZE];

/**** Get the start of the variable argument list ****/

	va_start( vaptr, control_string );

/**** Process control string and expand it with variable argument list ****/

	i = vsprintf( temp_string, control_string, vaptr );

/**** Clean up and return to caller ****/

	va_end( vaptr );
	fprintf( stderr, "Debug: %s", temp_string );
	return( temp_string );
}


/**************************************************************************
***************************************************************************/

char *	ErrorMessage( char * control_string, ... )
{
	        int		i;
	    va_list		vaptr;
	static char		temp_string[MAX_STRING_SIZE];

/**** Get the start of the variable argument list ****/

	va_start( vaptr, control_string );

/**** Process control string and expand it with variable argument list ****/

	i = vsprintf( temp_string, control_string, vaptr );

/**** Clean up and return to caller ****/

	va_end( vaptr );
	fprintf( stderr, "Error: %s", temp_string );
	return( temp_string );
}


/**************************************************************************
***************************************************************************/

char *	InfoMessage( char * control_string, ... )
{
	        int		i;
	    va_list		vaptr;
	static char		temp_string[MAX_STRING_SIZE];

/**** Get the start of the variable argument list ****/

	va_start( vaptr, control_string );

/**** Process control string and expand it with variable argument list ****/

	i = vsprintf( temp_string, control_string, vaptr );

/**** Clean up and return to caller ****/

	va_end( vaptr );
	fprintf( stderr, "Info: %s", temp_string );
	return( temp_string );
}



/*********************************  EOF  ************************************/


